#
# spec file for package rubygem-ttfunk
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ttfunk
Version:        1.7.0
Release:        1.15
%define mod_name ttfunk
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.5}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://prawnpdf.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        TrueType Font Metrics Parser
License:        Ruby OR GPL-2.0-only OR GPL-3.0-only
Group:          Development/Languages/Ruby

%description
Font Metrics Parser for the Prawn PDF generator.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md COPYING LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.7.0
  see installed CHANGELOG.md
  [#]# 1.7.0
  [#]## Changes
  * Allow gem installation on Ruby 3.0
    Pavel Lobashov
  * Allow TTC files to be read from IO object
    Tom de Grunt
* Fri Sep  4 2020 Petr Vorel <pvorel@suse.cz>
- Fix License (Ruby or GPL-2.0 or GPL-3.0)
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.6.2.1
  see installed CHANGELOG.md
  [#]# [1.6.2.1]
  [#]## Fixed
  * 1.6.2 gem conains local debuging code. This is the same commit but without
    local changes.
    Alexander Mankuta
  [#]# [1.6.2]
  [#]## Fixed
  * Reverted to pre 1.6 maxp table serialization.
    Cameron Dutro
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.6.1
  see installed CHANGELOG.md
  [#]# [1.6.1]
  [#]## Fixed
  * Fixed maxp table encoding
    Cameron Dutro
  [#]# [1.6.0]
  [#]## Added
  * OpenType fonts support
  * Added support for CFF-flavored fonts (also known as CID-keyed or OpenType fonts)
  * Added support for the VORG and DSIG tables
  * Improved charset encoding support
  * Improved font metrics calculations in the head, maxp, hhea, hmtx, and os/2 tables
  * Subsetted fonts verified with Font-Validator, fontlint, and Mac OS's Font Book
    Cameron Dutro
  * Ruby 2.6 support
    Alexander Mankuta
  * JRuby 9.2 support
    Alexander Mankuta
  [#]## Removed
  * Dropped Ruby 2.1 & 2.2 support
    Alexander Mankuta
  * Removed JRuby 9.1 support
    Alexander Mankuta
  [#]## Fixed
  * Sort name table entries when generating subset font
    Matjaz Gregoric
  * Map the 0xFFFF char code to glyph 0 in cmap format 4
    Matjaz Gregoric
  * Order tables by tag when generating font subset
    Matjaz Gregoric
  * Fix typo in TTFunk::Subset::Unicode#includes?
    Matjaz Gregoric
  * Fixe calculation of search_range for font subsets
    Matjaz Gregoric
  * Fixed instance variable @offset and @length not initialized
    Katsuya HIDAKA
  * Code style fixes
    Katsuya HIDAKA, Matjaz Gregoric, Alexander Mankuta
* Wed Apr 12 2017 coolo@suse.com
- updated to version 1.5.1
  see installed CHANGELOG.md
  [#]# [1.5.1]
  [#]## Fixed
  * loca table corruption during subsetting. The loca table serialization code
    didn't properly detect suitable table format.
  * Fixed checksum calculation for empty tables.
* Tue Feb 14 2017 coolo@suse.com
- updated to version 1.5.0
  CHANGELOG removed upstream
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.4.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 28 2014 coolo@suse.com
- updated to version 1.2.0
* Fri Mar 21 2014 coolo@suse.com
- updated to version 1.1.1
* Thu Feb  6 2014 coolo@suse.com
- updated to version 1.1.0
* Mon Jul 30 2012 coolo@suse.com
- initial package
